Timekit developers

PUT /calendars/:id

Google-connected calendars can be set to either sync or not sync.

If you set provider_sync: false, then all events in Timekit attached to the calendar will be flushed (but will remain in Google) and the calendar will not be automatically synced in the future.

If you set provider_sync: true, then the calendar will be automatically synced in the future. Please call [GET] /accounts/sync at least once afterwards to make sure that all events gets fetched from Google initially.

Endpoint

PUT https://api.timekit.io/v2/calendars/:id

Parameters

Name In Type Required Default Description
id path string yes ID of the calendar you want to update

Request examples

json
{
  "provider_sync": true
}
curl
curl -X PUT \
  -H 'Timekit-App: back-to-the-future' \
  -u doc.brown@timekit.io:nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
  -d '{"provider_sync": true}' \
  https://api.timekit.io/v2/calendars/bfa0b9fa-36aa-4ae6-8096-f3b20fbed1d2